OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepBasic

# StepBasic_NamedUnit Class Reference

`#include <StepBasic_NamedUnit.hxx>`

Inheritance diagram for StepBasic_NamedUnit:

[legend]

## Public Member Functions
Standard_EXPORT | StepBasic_NamedUnit ()
| Returns a NamedUnit .
virtual Standard_EXPORT void | Init (const Handle(StepBasic_DimensionalExponents)&aDimensions)
virtual Standard_EXPORT void | SetDimensions (const Handle(StepBasic_DimensionalExponents)&aDimensions)
virtual Standard_EXPORT Handle_StepBasic_DimensionalExponents | Dimensions () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_StepBasic_DimensionalExponents | dimensions

## Constructor & Destructor Documentation

Standard_EXPORT StepBasic_NamedUnit::StepBasic_NamedUnit | ( |  | ) |

## Member Function Documentation

virtual Standard_EXPORT Handle_StepBasic_DimensionalExponents StepBasic_NamedUnit::Dimensions | ( |  | ) | const`[virtual]`

| Reimplemented in StepBasic_SiUnit, StepBasic_SiUnitAndAreaUnit, and StepBasic_SiUnitAndVolumeUnit.

Standard_EXPORT const StepBasic_NamedUnit::Handle | ( | Standard_Type |  | ) | const

| Reimplemented in StepBasic_AreaUnit, StepBasic_ConversionBasedUnit, StepBasic_ConversionBasedUnitAndAreaUnit, StepBasic_ConversionBasedUnitAndLengthUnit, StepBasic_ConversionBasedUnitAndMassUnit, StepBasic_ConversionBasedUnitAndPlaneAngleUnit, StepBasic_ConversionBasedUnitAndRatioUnit, StepBasic_ConversionBasedUnitAndSolidAngleUnit, StepBasic_ConversionBasedUnitAndTimeUnit, StepBasic_ConversionBasedUnitAndVolumeUnit, StepBasic_LengthUnit, StepBasic_MassUnit, StepBasic_PlaneAngleUnit, StepBasic_RatioUnit, StepBasic_SiUnit, StepBasic_SiUnitAndAreaUnit, StepBasic_SiUnitAndLengthUnit, StepBasic_SiUnitAndMassUnit, StepBasic_SiUnitAndPlaneAngleUnit, StepBasic_SiUnitAndRatioUnit, StepBasic_SiUnitAndSolidAngleUnit, StepBasic_SiUnitAndThermodynamicTemperatureUnit, StepBasic_SiUnitAndTimeUnit, StepBasic_SiUnitAndVolumeUnit, StepBasic_SolidAngleUnit, StepBasic_ThermodynamicTemperatureUnit, StepBasic_TimeUnit, and StepBasic_VolumeUnit.

virtual Standard_EXPORT void StepBasic_NamedUnit::Init | ( | const Handle(StepBasic_DimensionalExponents)& | aDimensions | ) | `[virtual]`

| Reimplemented in StepBasic_ConversionBasedUnit, StepBasic_ConversionBasedUnitAndLengthUnit, StepBasic_ConversionBasedUnitAndMassUnit, StepBasic_ConversionBasedUnitAndPlaneAngleUnit, StepBasic_ConversionBasedUnitAndRatioUnit, StepBasic_ConversionBasedUnitAndSolidAngleUnit, StepBasic_ConversionBasedUnitAndTimeUnit, StepBasic_SiUnit, StepBasic_SiUnitAndLengthUnit, StepBasic_SiUnitAndMassUnit, StepBasic_SiUnitAndPlaneAngleUnit, StepBasic_SiUnitAndRatioUnit, StepBasic_SiUnitAndSolidAngleUnit, StepBasic_SiUnitAndThermodynamicTemperatureUnit, and StepBasic_SiUnitAndTimeUnit.

virtual Standard_EXPORT void StepBasic_NamedUnit::SetDimensions | ( | const Handle(StepBasic_DimensionalExponents)& | aDimensions | ) | `[virtual]`

| Reimplemented in StepBasic_SiUnit, StepBasic_SiUnitAndAreaUnit, and StepBasic_SiUnitAndVolumeUnit.

## Field Documentation

Handle_StepBasic_DimensionalExponents StepBasic_NamedUnit::dimensions`[private]`

The documentation for this class was generated from the following file:

- StepBasic_NamedUnit.hxx